function []=cheops_trial(r)
if (isdeployed)
    %maxNumCompThreads(1)
    'test'
    if nargin==0
        r=input('which value should r have ?');
    else
    r=str2double(r);
    end
end 
 
tic
%---------------Initial----------------------------------------------------
r=r;
simfunc = 'simfunc_Gaussian';    
momfunc = 'momfunc_Equidep';     
B=500;
T=1500; 
mT=250;
N=10;      
theta01 = 1.0;
theta02 = 1.5;
theta03 = 0.8;
[~,data_raw]=datagen(T,N,r,theta01,theta02,theta03);
a=0;
b=0;
counter=1;
t=1;
%---------------------------------------------
e0 = [T,N,r*333,T];
data=tiedrank(data_raw)/(T+1);
aux=simfunc_Gaussian(1, e0);
aux=momfunc_Equidep(data);
aux=objfunc_SMM(1,simfunc,e0,momfunc,data,1);
%---------------------------------------------
bp_counter=1;
while a==0
 %----------------------------find History data set---------------------
  if t+mT<=T
      disp('Find history data set:')
    while b==0
        if t+mT<=T
          [out,S_all]=paraTest(data_raw(1+(t-1):mT+(t-1),:),momfunc,B);
        end
        if (out(3)==2||(t-1)+mT>T)
            if (t-1)+mT<=T
                disp(['Historical data set found between ' num2str(t) '-' num2str((t-1)+mT)])
            end
            b=1;
        else
           [~,tb]=max(S_all);
            t=tb+(t-1);
           save(['bp_hist' num2str(bp_counter) '_' num2str(r)],'t')
           disp(['Breakpoint found at' num2str(t)])
        end
        %save(['out_hist' num2str(counter)],'out')
        %save(['S_all_hist' num2str(counter)],'S_all')
        counter=counter+1;
    end
  end
    b=0;
  %------------------------------monitoring------------------------------
  if (t-1)+mT<=T
      disp('Start monitoring procedure:')
      [out_mon,S_all_mon]=monitoring(r,data_raw(1+(t-1):end,:),mT,momfunc,B);
      if out_mon(3)==2
         a=1;
         %save(['out_mon' num2str(counter)],'out_mon')
         %save(['S_all_mon' num2str(counter)],'S_all_mon')
         disp('Monitoring procedure has finally terminated.')
      else
         rej=out_mon(4)+(t-1);
         disp(['Monitoring procedure stopped at ' num2str(rej)])
         save(['rej_mon' num2str(bp_counter) '_' num2str(r)],'rej')
         %save([bp_counter 'out_mon' num2str(r+1000)],'out_mon')
         %save(['S_all_mon' num2str(counter)],'S_all_mon')
         counter=counter+1;
         
         disp('Break point estimation of the monitoring procedure:')
         [out,S_all]=paraTest(data_raw(t+mT:out_mon(4)+(t-1),:),momfunc,B);
         %save([bp_counter 'out_mon_break' num2str(r+1000)],'out')
         %save(['S_all_mon_break' num2str(counter)],'S_all')
         [~,tb]=max(S_all);
         t=tb+mT+(t-1);
         
          if out(3)==1
           save(['bp_mon_break' num2str(bp_counter) '_' num2str(r)],'t')
           disp(['Breakpoint found at ' num2str(t)])
         end
        
         counter=counter+1;
         
      end
  else
       disp('No constant historycal dataset found.')
       disp('Monitoring procedure has finally terminated.')
       a=1;
  end
 bp_counter=bp_counter+1; 
end
toc
end
