function [out,S_all] = paraTest(data_raw,momfunc,B)
T=size(data_raw,1);                             
data=tiedrank(data_raw)/(T+1);
K=Bootstrap(data_raw,momfunc);
m0=feval(momfunc,data);
m_T=m0;
X=zeros(B,1);
parfor b=0:1:B-1
    m=0;
    dataB_T=tiedrank(K((1+T*b):(T+T*b),:))/(T+1);
    mB_T=feval(momfunc,dataB_T(1:T,:));
    A1=sqrt(T)*(mB_T-m0);  
    for t=round(0.2*T):T
      dataB_t=tiedrank(K((1+T*b):(t+T*b),:))/(t+1);
      mB_t=feval(momfunc,dataB_t);
      A=(t/T)*sqrt(T)*(mB_t-m0);
      A_star=(A-(t/T)*A1)'*(A-(t/T)*A1);
      if (A_star>m)
          m=A_star;
      end
    end
    X(b+1)=m;
end

q=quantile(X,0.95);
S_all=zeros(T,1);
parfor t=round(0.2*T):T
    raw_data_t=data_raw(1:t,:);
    data_t=tiedrank(raw_data_t)/(t+1);
    m_t=feval(momfunc,data_t);
    S=(t/T)*(1/sqrt(1/T))*(t/T)*(1/sqrt(1/T))*(m_t-m_T)'*(m_t-m_T);
    S_all(t,1)=S;   
end
maxS=max(S_all);
x=2;
if maxS>q
    x=1;
end

out=[maxS,q,x];



end

